package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 药品清斗单信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnQdjllClearancesheetService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnQdjllClearancesheet(PageData pd)throws Exception {
        return daoSupport.update("SKcKnQdjllClearancesheetMapper.addSKcKnQdjllClearancesheet", pd);
    }

    public List<PageData> findSKcKnQdjllClearancesheetList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnQdjllClearancesheetMapper.selectSKcKnQdjllClearancesheetList", pd);
    }

    public Integer SKcKnQdjllClearancesheetRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnQdjllClearancesheetMapper.SKcKnQdjllClearancesheetRemove", pd);
    }


    public Integer updateSKcKnQdjllClearancesheet(PageData pd)throws Exception {
        return daoSupport.update("SKcKnQdjllClearancesheetMapper.updateSKcKnQdjllClearancesheet", pd);
    }

}
